(!stylesheet "manual-Z-S.css")
(!preferred-title "Chicken - A practical and portable Scheme\nsystem - User's manual (Version 1, Build 22)")
(!default-title "{\n        Chicken - A practical and portable Scheme system\\\\\n        User's manual\\\\\n        (Version 1, Build 22) \\\\\n        \\resizebox{70mm}{74mm}\n                {\\includegraphics{chicken}}}")
(!using-chapters)
(!toc-page 1)
(!using-chapters)
(!toc-entry 0 "1" 3 "%_chap_1" "{Introduction}")
(!using-chapters)
(!toc-entry 0 "2" 4 "%_chap_2" "{Basic mode of operation}")
(!using-chapters)
(!toc-entry 0 "3" 5 "%_chap_3" "{Using the compiler}")
(!toc-entry 1 "3.1" 6 "%_sec_3.1" "{Command line format}")
(!toc-entry 1 "3.2" 7 "%_sec_3.2" "{Runtime options}")
(!toc-entry 1 "3.3" 8 "%_sec_3.3" "{An example}")
(!toc-entry 1 "3.4" 9 "%_sec_3.4" "{Extending the compiler}")
(!toc-entry 1 "3.5" 10 "%_sec_3.5" "{Distributing compiled C files}")
(!using-chapters)
(!toc-entry 0 "4" 11 "%_chap_4" "{Using the interpreter}")
(!toc-entry 1 "4.1" 12 "%_sec_4.1" "{Command line format}")
(!toc-entry 1 "4.2" 13 "%_sec_4.2" "{Writing Scheme scripts}")
(!toc-entry 1 "4.3" 14 "%_sec_4.3" "{Toplevel commands}")
(!toc-entry 1 "4.4" 15 "%_sec_4.4" "{Macros and procedures implemented in the interpreter}")
(!using-chapters)
(!toc-entry 0 "5" 16 "%_chap_5" "{Supported language}")
(!toc-entry 1 "5.1" 17 "%_sec_5.1" "{Deviations from the standard}")
(!toc-entry 1 "5.2" 18 "%_sec_5.2" "{Extensions to the standard}")
(!toc-entry 1 "5.3" 19 "%_sec_5.3" "{Non standard read syntax}")
(!toc-entry 1 "5.4" 20 "%_sec_5.4" "{Non-standard macros and special forms}")
(!toc-entry 2 "5.4.1" 20 "%_sec_5.4.1" "{Binding forms for optional arguments}")
(!toc-entry 2 "5.4.2" 20 "%_sec_5.4.2" "{Other binding forms}")
(!toc-entry 2 "5.4.3" 20 "%_sec_5.4.3" "{Substitution forms and macros}")
(!toc-entry 2 "5.4.4" 20 "%_sec_5.4.4" "{Conditional forms}")
(!toc-entry 2 "5.4.5" 20 "%_sec_5.4.5" "{Record structures}")
(!toc-entry 2 "5.4.6" 20 "%_sec_5.4.6" "{Other forms}")
(!toc-entry 1 "5.5" 21 "%_sec_5.5" "{Declarations}")
(!toc-entry 1 "5.6" 22 "%_sec_5.6" "{Parameters}")
(!toc-entry 1 "5.7" 23 "%_sec_5.7" "{Unit: library}")
(!toc-entry 2 "5.7.1" 23 "%_sec_5.7.1" "{Arithmetic}")
(!toc-entry 2 "5.7.2" 23 "%_sec_5.7.2" "{Input/Output}")
(!toc-entry 2 "5.7.3" 23 "%_sec_5.7.3" "{Files}")
(!toc-entry 2 "5.7.4" 23 "%_sec_5.7.4" "{String ports}")
(!toc-entry 2 "5.7.5" 23 "%_sec_5.7.5" "{Feature identifiers}")
(!toc-entry 2 "5.7.6" 23 "%_sec_5.7.6" "{Keywords}")
(!toc-entry 2 "5.7.7" 23 "%_sec_5.7.7" "{Exceptions}")
(!toc-entry 2 "5.7.8" 23 "%_sec_5.7.8" "{Miscellaneous}")
(!toc-entry 1 "5.8" 24 "%_sec_5.8" "{Unit: eval}")
(!toc-entry 2 "5.8.1" 24 "%_sec_5.8.1" "{Loading code}")
(!toc-entry 2 "5.8.2" 24 "%_sec_5.8.2" "{Read-eval-print loop}")
(!toc-entry 2 "5.8.3" 24 "%_sec_5.8.3" "{Macros}")
(!toc-entry 2 "5.8.4" 24 "%_sec_5.8.4" "{Extensions}")
(!toc-entry 2 "5.8.5" 24 "%_sec_5.8.5" "{Miscellaneous}")
(!toc-entry 1 "5.9" 25 "%_sec_5.9" "{Unit: extras}")
(!toc-entry 2 "5.9.1" 25 "%_sec_5.9.1" "{Lists}")
(!toc-entry 2 "5.9.2" 25 "%_sec_5.9.2" "{String-port extensions}")
(!toc-entry 2 "5.9.3" 25 "%_sec_5.9.3" "{Formatted output}")
(!toc-entry 2 "5.9.4" 25 "%_sec_5.9.4" "{Hash tables}")
(!toc-entry 2 "5.9.5" 25 "%_sec_5.9.5" "{Queues}")
(!toc-entry 2 "5.9.6" 25 "%_sec_5.9.6" "{Sorting}")
(!toc-entry 2 "5.9.7" 25 "%_sec_5.9.7" "{Random numbers}")
(!toc-entry 2 "5.9.8" 25 "%_sec_5.9.8" "{Input/Output extensions}")
(!toc-entry 2 "5.9.9" 25 "%_sec_5.9.9" "{Strings}")
(!toc-entry 2 "5.9.10" 25 "%_sec_5.9.10" "{Combinators}")
(!toc-entry 2 "5.9.11" 25 "%_sec_5.9.11" "{Miscellaneous}")
(!toc-entry 1 "5.10" 26 "%_sec_5.10" "{Unit: srfi-1}")
(!toc-entry 1 "5.11" 27 "%_sec_5.11" "{Unit: srfi-4}")
(!toc-entry 1 "5.12" 28 "%_sec_5.12" "{Unit: srfi-13}")
(!toc-entry 1 "5.13" 29 "%_sec_5.13" "{Unit: srfi-14}")
(!toc-entry 1 "5.14" 30 "%_sec_5.14" "{Unit: srfi-25}")
(!toc-entry 1 "5.15" 31 "%_sec_5.15" "{Unit: match}")
(!toc-entry 1 "5.16" 32 "%_sec_5.16" "{Unit: regex}")
(!toc-entry 1 "5.17" 33 "%_sec_5.17" "{Unit: syntax-case}")
(!toc-entry 1 "5.18" 34 "%_sec_5.18" "{Unit: srfi-18}")
(!toc-entry 1 "5.19" 35 "%_sec_5.19" "{Unit: format}")
(!toc-entry 1 "5.20" 36 "%_sec_5.20" "{Unit: posix}")
(!toc-entry 2 "5.20.1" 36 "%_sec_5.20.1" "{Directories}")
(!toc-entry 2 "5.20.2" 36 "%_sec_5.20.2" "{Pipes}")
(!toc-entry 2 "5.20.3" 36 "%_sec_5.20.3" "{Fifos}")
(!toc-entry 2 "5.20.4" 36 "%_sec_5.20.4" "{File descriptors and low-level I/O}")
(!toc-entry 2 "5.20.5" 36 "%_sec_5.20.5" "{Retrieving file attributes}")
(!toc-entry 2 "5.20.6" 36 "%_sec_5.20.6" "{Changing file attributes}")
(!toc-entry 2 "5.20.7" 36 "%_sec_5.20.7" "{Processes}")
(!toc-entry 2 "5.20.8" 36 "%_sec_5.20.8" "{Symbolic links}")
(!toc-entry 2 "5.20.9" 36 "%_sec_5.20.9" "{Permissions, owners, users and groups}")
(!toc-entry 2 "5.20.10" 36 "%_sec_5.20.10" "{Record locking}")
(!toc-entry 2 "5.20.11" 36 "%_sec_5.20.11" "{Signal handling}")
(!toc-entry 2 "5.20.12" 36 "%_sec_5.20.12" "{Environment access}")
(!toc-entry 2 "5.20.13" 36 "%_sec_5.20.13" "{Memory mapped I/O}")
(!toc-entry 2 "5.20.14" 36 "%_sec_5.20.14" "{Time routines}")
(!toc-entry 2 "5.20.15" 36 "%_sec_5.20.15" "{Miscellaneous routines}")
(!toc-entry 2 "5.20.16" 36 "%_sec_5.20.16" "{How Scheme procedures relate to UNIX C functions}")
(!toc-entry 1 "5.21" 37 "%_sec_5.21" "{Unit: script-utils}")
(!toc-entry 2 "5.21.1" 37 "%_sec_5.21.1" "{Pathname operations}")
(!toc-entry 2 "5.21.2" 37 "%_sec_5.21.2" "{Miscellaneous utilities}")
(!toc-entry 1 "5.22" 38 "%_sec_5.22" "{Unit: tcp}")
(!toc-entry 1 "5.23" 39 "%_sec_5.23" "{Unit: srfi-37}")
(!toc-entry 1 "5.24" 40 "%_sec_5.24" "{Unit: lolevel}")
(!toc-entry 2 "5.24.1" 40 "%_sec_5.24.1" "{Foreign pointers}")
(!toc-entry 2 "5.24.2" 40 "%_sec_5.24.2" "{Extending procedures with data}")
(!toc-entry 2 "5.24.3" 40 "%_sec_5.24.3" "{Bytevectors}")
(!toc-entry 2 "5.24.4" 40 "%_sec_5.24.4" "{Data in unmanaged memory}")
(!toc-entry 2 "5.24.5" 40 "%_sec_5.24.5" "{Locatives}")
(!toc-entry 2 "5.24.6" 40 "%_sec_5.24.6" "{Accessing toplevel variables}")
(!toc-entry 2 "5.24.7" 40 "%_sec_5.24.7" "{Miscellaneous routines}")
(!toc-entry 1 "5.25" 41 "%_sec_5.25" "{Unit: tinyclos}")
(!toc-entry 2 "5.25.1" 41 "%_sec_5.25.1" "{Defining forms}")
(!toc-entry 2 "5.25.2" 41 "%_sec_5.25.2" "{Base language}")
(!toc-entry 2 "5.25.3" 41 "%_sec_5.25.3" "{Introspection}")
(!toc-entry 2 "5.25.4" 41 "%_sec_5.25.4" "{Intercessory protocol}")
(!toc-entry 2 "5.25.5" 41 "%_sec_5.25.5" "{Additional protocol}")
(!toc-entry 2 "5.25.6" 41 "%_sec_5.25.6" "{Utility procedures}")
(!toc-entry 2 "5.25.7" 41 "%_sec_5.25.7" "{Builtin classes}")
(!using-chapters)
(!toc-entry 0 "6" 42 "%_chap_6" "{Interface to external functions and variables}")
(!toc-entry 1 "6.1" 43 "%_sec_6.1" "{Accessing external objects}")
(!toc-entry 1 "6.2" 44 "%_sec_6.2" "{Foreign type specifiers}")
(!toc-entry 1 "6.3" 45 "%_sec_6.3" "{Entry points}")
(!toc-entry 1 "6.4" 46 "%_sec_6.4" "{Callbacks}")
(!toc-entry 1 "6.5" 47 "%_sec_6.5" "{Locations}")
(!toc-entry 1 "6.6" 48 "%_sec_6.6" "{Other support procedures}")
(!toc-entry 1 "6.7" 49 "%_sec_6.7" "{The ``Easy'' Foreign Function Interface}")
(!toc-entry 2 "6.7.1" 49 "%_sec_6.7.1" "{General operation}")
(!toc-entry 2 "6.7.2" 49 "%_sec_6.7.2" "{Pseudo declarations}")
(!toc-entry 2 "6.7.3" 49 "%_sec_6.7.3" "{Grammar}")
(!toc-entry 2 "6.7.4" 49 "%_sec_6.7.4" "{C notes}")
(!toc-entry 2 "6.7.5" 49 "%_sec_6.7.5" "{C++ notes}")
(!toc-entry 1 "6.8" 50 "%_sec_6.8" "{C interface}")
(!using-chapters)
(!toc-entry 0 "7" 51 "%_chap_7" "{Extensions and \\texttt{csi -setup}}")
(!toc-entry 1 "7.1" 52 "%_sec_7.1" "{setup scripts}")
(!toc-entry 1 "7.2" 53 "%_sec_7.2" "{An Example}")
(!toc-entry 1 "7.3" 54 "%_sec_7.3" "{Notes}")
(!using-chapters)
(!toc-entry 0 "8" 55 "%_chap_8" "{Additional files}")
(!toc-entry 2 "8.0.1" 55 "%_sec_8.0.1" "{\\texttt{srfi-13-syntax.scm}}")
(!toc-entry 2 "8.0.2" 55 "%_sec_8.0.2" "{\\texttt{test-infrastructure.scm}}")
(!toc-entry 3 "8.0.2.1" 55 "%_sec_8.0.2.1" "{The Test Package Macro API}")
(!toc-entry 3 "8.0.2.2" 55 "%_sec_8.0.2.2" "{The Test Case Macro API}")
(!toc-entry 3 "8.0.2.3" 55 "%_sec_8.0.2.3" "{The Expectation Macro API}")
(!toc-entry 3 "8.0.2.4" 55 "%_sec_8.0.2.4" "{Result Object API}")
(!toc-entry 3 "8.0.2.5" 55 "%_sec_8.0.2.5" "{Test Package Result Object API}")
(!toc-entry 3 "8.0.2.6" 55 "%_sec_8.0.2.6" "{Test Case Result Object API}")
(!toc-entry 3 "8.0.2.7" 55 "%_sec_8.0.2.7" "{Expect Result Object API: Single Clause Style Expectation}")
(!toc-entry 3 "8.0.2.8" 55 "%_sec_8.0.2.8" "{Expect Result Object API: Equivalence Style Expectation}")
(!toc-entry 3 "8.0.2.9" 55 "%_sec_8.0.2.9" "{Expect Result Object API: Tolerance Style Expectation}")
(!toc-entry 3 "8.0.2.10" 55 "%_sec_8.0.2.10" "{Various Helper API}")
(!toc-entry 3 "8.0.2.11" 55 "%_sec_8.0.2.11" "{Termination API}")
(!toc-entry 3 "8.0.2.12" 55 "%_sec_8.0.2.12" "{Destructor Object API}")
(!toc-entry 3 "8.0.2.13" 55 "%_sec_8.0.2.13" "{Todo API}")
(!toc-entry 3 "8.0.2.14" 55 "%_sec_8.0.2.14" "{Gloss API}")
(!toc-entry 3 "8.0.2.15" 55 "%_sec_8.0.2.15" "{Skip API}")
(!toc-entry 3 "8.0.2.16" 55 "%_sec_8.0.2.16" "{Side Effect API}")
(!toc-entry 3 "8.0.2.17" 55 "%_sec_8.0.2.17" "{Miscellaneous API}")
(!toc-entry 3 "8.0.2.18" 55 "%_sec_8.0.2.18" "{Analysis of the Result Tree}")
(!toc-entry 3 "8.0.2.19" 55 "%_sec_8.0.2.19" "{Output Generation API}")
(!toc-entry 3 "8.0.2.20" 55 "%_sec_8.0.2.20" "{Example Usages of the Test Suite Infrastructure}")
(!using-chapters)
(!toc-entry 0 "9" 56 "%_chap_9" "{Data Representation}")
(!using-chapters)
(!toc-entry 0 "10" 57 "%_chap_10" "{Bugs and limitations}")
(!using-chapters)
(!toc-entry 0 "11" 58 "%_chap_11" "{Acknowledgements}")
(!using-chapters)
(!toc-entry 0 "IGNORE" 59 "%_chap_Temp_29" "{Bibliography}")
(!using-chapters)
(!toc-entry 0 "IGNORE" 60 "%_chap_Temp_30" "{Index}")
(!index-page 60)
(!using-external-program "makeindex")
(!last-page-number 60)
(!last-modification-time 1067446444)
